## ros-noetic-etsi-its-mcm-uulm-conversion 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(etsi_its_mcm_uulm_conversion)

find_package(ros_environment REQUIRED QUIET)
set(ROS_VERSION $ENV{ROS_VERSION})

# === ROS 2 (AMENT) ============================================================
if(${ROS_VERSION} EQUAL 2)

  add_compile_definitions(ROS2)

  find_package(ament_cmake REQUIRED)
  find_package(etsi_its_mcm_uulm_coding REQUIRED)
  find_package(etsi_its_mcm_uulm_msgs REQUIRED)
  find_package(etsi_its_primitives_conversion REQUIRED)

  add_library(${PROJECT_NAME} INTERFACE)

  target_include_directories(${PROJECT_NAME} INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
  )

  target_link_libraries(${PROJECT_NAME} INTERFACE
    ${etsi_its_mcm_uulm_coding_TARGETS}
    ${etsi_its_mcm_uulm_msgs_TARGETS}
    ${etsi_its_primitives_conversion_TARGETS}
  )

  ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
  ament_export_dependencies(
    etsi_its_mcm_uulm_coding
    etsi_its_mcm_uulm_msgs
    etsi_its_primitives_conversion
  )

  install(DIRECTORY include/
    DESTINATION include/${PROJECT_NAME}
  )

  install(TARGETS ${PROJECT_NAME}
    EXPORT ${PROJECT_NAME}Targets
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION lib
    INCLUDES DESTINATION include
  )

  ament_package()

# === ROS (CATKIN) =============================================================
elseif(${ROS_VERSION} EQUAL 1)

  add_compile_definitions(ROS1)

  find_package(catkin REQUIRED COMPONENTS
    etsi_its_mcm_uulm_coding
    etsi_its_mcm_uulm_msgs
    etsi_its_primitives_conversion
  )

  catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS etsi_its_mcm_uulm_coding etsi_its_mcm_uulm_msgs etsi_its_primitives_conversion
  )

  include_directories(
    include
    ${catkin_INCLUDE_DIRS}
  )

  install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  )

  install(FILES
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

endif()

=== debian/changelog ===
ros-noetic-etsi-its-mcm-uulm-conversion (3.2.0-1focal) focal; urgency=high

  * Merge pull request #75 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/75> from ika-rwth-aachen/uulm-mcm
    Add MCM version of Ulm University
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 22 Apr 2025 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-etsi-its-mcm-uulm-conversion
Section: misc
Priority: optional
Maintainer: Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-etsi-its-mcm-uulm-coding, ros-noetic-etsi-its-mcm-uulm-msgs, ros-noetic-etsi-its-primitives-conversion, ros-noetic-ros-environment
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-etsi-its-mcm-uulm-conversion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-etsi-its-mcm-uulm-coding, ros-noetic-etsi-its-mcm-uulm-msgs, ros-noetic-etsi-its-primitives-conversion, ros-noetic-ros-environment
Description: Conversion functions for converting ROS messages to and from ASN.1-encoded UULM draft MCMs (TS)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-etsi-its-mcm-uulm-conversion//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
